
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Display Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Device.Display</h1><h2>Description</h2>
<p>This interface provides access to a display device.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Device.Display</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetBrightness">GetBrightness</a></li>
<li><a href="#SetBrightness">SetBrightness</a></li>
<li><a href="#GetBacklightPower">GetBacklightPower</a></li>
<li><a href="#SetBacklightPower">SetBacklightPower</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#BacklightPower">BacklightPower</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetBrightness">GetBrightness</a> ( ) &rarr; i</h3>
<p><i>Description:</i> Get the current brightness level. </p><h4>Returns</h4><i>i: brightness</i><p>The brightness level in percent (0-100). </p>
<h3><a name="SetBrightness">SetBrightness</a> ( i )</h3>
<p><i>Description:</i> Set the brightness level. </p><p><div class="rationale"><p>A brightness level of 0 does not necessarily mean that the backlight power is off. </p></div></p><h4>Parameters</h4><i>i: brightness</i><p>The brightness level in percent (0-100). </p>
<h3><a name="GetBacklightPower">GetBacklightPower</a> ( ) &rarr; b</h3>
<p><i>Description:</i> Get whether the backlight is powered or not. </p><h4>Returns</h4><i>b: power</i><p>True, if the backlight is powered. False, otherwise. </p>
<h3><a name="SetBacklightPower">SetBacklightPower</a> ( b )</h3>
<p><i>Description:</i> Set whether the backlight should be powered or not. </p><h4>Parameters</h4><i>b: power</i><p>True, if the backlight should be powered. False, otherwise. </p>
<h1>Signals</h1><h3><h3><a name="BacklightPower">BacklightPower</a> ( b )</h3><p><i>Description:</i> Send when the backlight brightness (or power) moves to 0 or out of 0. </p><h4>Parameters</h4><i>b: power</i><p>True, if the backlight has been turned on. False, otherwise. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

